#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private itcOrderBook[] cacheitcOrderBook;

		
		public itcOrderBook itcOrderBook(string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, int topOffsetY, int leftOffsetX, OrderBookPanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor)
		{
			return itcOrderBook(Input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor);
		}


		
		public itcOrderBook itcOrderBook(ISeries<double> input, string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, int topOffsetY, int leftOffsetX, OrderBookPanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor)
		{
			if (cacheitcOrderBook != null)
				for (int idx = 0; idx < cacheitcOrderBook.Length; idx++)
					if (cacheitcOrderBook[idx].SoftwareDescription == softwareDescription && cacheitcOrderBook[idx].MachineAccount == machineAccount && cacheitcOrderBook[idx].SoftwareActivationKey == softwareActivationKey && cacheitcOrderBook[idx].MaxLevels == maxLevels && cacheitcOrderBook[idx].TopOffsetY == topOffsetY && cacheitcOrderBook[idx].LeftOffsetX == leftOffsetX && cacheitcOrderBook[idx].HeightSizeMode == heightSizeMode && cacheitcOrderBook[idx].CustomHeightSize == customHeightSize && cacheitcOrderBook[idx].GuiFrameBackgroundColor == guiFrameBackgroundColor && cacheitcOrderBook[idx].GuiFrameBorderColor == guiFrameBorderColor && cacheitcOrderBook[idx].FontSizeTitle == fontSizeTitle && cacheitcOrderBook[idx].FontSizeFigures == fontSizeFigures && cacheitcOrderBook[idx].GuiTitleFontColor == guiTitleFontColor && cacheitcOrderBook[idx].GuiAskNormalColor == guiAskNormalColor && cacheitcOrderBook[idx].GuiBidNormalColor == guiBidNormalColor && cacheitcOrderBook[idx].EqualsInput(input))
						return cacheitcOrderBook[idx];
			return CacheIndicator<itcOrderBook>(new itcOrderBook(){ SoftwareDescription = softwareDescription, MachineAccount = machineAccount, SoftwareActivationKey = softwareActivationKey, MaxLevels = maxLevels, TopOffsetY = topOffsetY, LeftOffsetX = leftOffsetX, HeightSizeMode = heightSizeMode, CustomHeightSize = customHeightSize, GuiFrameBackgroundColor = guiFrameBackgroundColor, GuiFrameBorderColor = guiFrameBorderColor, FontSizeTitle = fontSizeTitle, FontSizeFigures = fontSizeFigures, GuiTitleFontColor = guiTitleFontColor, GuiAskNormalColor = guiAskNormalColor, GuiBidNormalColor = guiBidNormalColor }, input, ref cacheitcOrderBook);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.itcOrderBook itcOrderBook(string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, int topOffsetY, int leftOffsetX, OrderBookPanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor)
		{
			return indicator.itcOrderBook(Input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor);
		}


		
		public Indicators.itcOrderBook itcOrderBook(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, int topOffsetY, int leftOffsetX, OrderBookPanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor)
		{
			return indicator.itcOrderBook(input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.itcOrderBook itcOrderBook(string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, int topOffsetY, int leftOffsetX, OrderBookPanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor)
		{
			return indicator.itcOrderBook(Input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor);
		}


		
		public Indicators.itcOrderBook itcOrderBook(ISeries<double> input , string softwareDescription, string machineAccount, string softwareActivationKey, int maxLevels, int topOffsetY, int leftOffsetX, OrderBookPanelSize heightSizeMode, int customHeightSize, Brush guiFrameBackgroundColor, Brush guiFrameBorderColor, int fontSizeTitle, int fontSizeFigures, Brush guiTitleFontColor, Brush guiAskNormalColor, Brush guiBidNormalColor)
		{
			return indicator.itcOrderBook(input, softwareDescription, machineAccount, softwareActivationKey, maxLevels, topOffsetY, leftOffsetX, heightSizeMode, customHeightSize, guiFrameBackgroundColor, guiFrameBorderColor, fontSizeTitle, fontSizeFigures, guiTitleFontColor, guiAskNormalColor, guiBidNormalColor);
		}

	}
}

#endregion
